Create an entity link. Send the fields of the new row in JSON. You must be an administrator.
POST
/data/entity-links
curl
curl -X POST "http://api.example.com/data/entity-links/" \
-H "Authorization: Bearer YOUR_API_TOKEN" \
-H "Accept: application/json" \
-H "Content-Type: application/json" \
-d '{
"entity_in_id": "a24a6ea4-ce75-4665-a070-57453082c25",
"entity_out_id": "b24a6ea4-ce75-4665-a070-57453082c25",
"nb_occurences": 1,
"label": "fixed"
}'
import requests
url = "http://api.example.com/data/entity-links/"
headers = {
"Authorization": "Bearer YOUR_API_TOKEN",
"Accept": "application/json",
"Content-Type": "application/json"
}
params = {}
payload = {
"entity_in_id": "a24a6ea4-ce75-4665-a070-57453082c25",
"entity_out_id": "b24a6ea4-ce75-4665-a070-57453082c25",
"nb_occurences": 1,
"label": "fixed"
}
response = requests.post(
url,
headers=headers,
params=params,
json=payload
)
response.raise_for_status()
if response.content:
print(response.json())
Request examples
{
"entity_in_id": "a24a6ea4-ce75-4665-a070-57453082c250",
"entity_out_id": "b24a6ea4-ce75-4665-a070-57453082c250",
"nb_occurences": 1,
"label": "fixed"
}
Response examples (201)
{
"id": "a24a6ea4-ce75-4665-a070-57453082c250",
"entity_in_id": "b24a6ea4-ce75-4665-a070-57453082c250",
"entity_out_id": "c24a6ea4-ce75-4665-a070-57453082c250",
"nb_occurences": 1,
"label": "fixed",
"created_at": "2024-01-15T10:30:00Z",
"updated_at": "2024-01-15T10:30:00Z"
}